
D4Science Infrastructure - Incident #10716

gCube Releases portlet showing Release has been archived and is not accessible anymore

Dec 15, 2017 03:05 PM - Massimiliano Assante

Status: Closed Start date: Dec 15, 2017

Priority: Urgent Due date:  

Assignee: Massimiliano Assante % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

When I go to https://dev.d4science.org/docs it is not possible to access the artifacts anymore.

It shows the notes and a message saying "Release has been archived and is not accessible anymore" but it should not AFAIK.

History

#1 - Dec 18, 2017 12:12 PM - Francesco Mangiacrapa

- Status changed from New to In Progress

- Assignee changed from Francesco Mangiacrapa to Massimiliano Assante

The problem is due to failing on setting context (the production SCOPE is missing). In particular is failing the following code:

try{

            ScopeHelper.setContext(request, ScopeHelper.USERNAME_ATTRIBUTE);

        }catch(Exception e){

            _log.error("Skipping error on set Context: "+ e.getMessage());

        }

 The logs server-side are:

https://support.d4science.org/pastes/39

Since the scope remains null, the portlet runs in Testing Mode using the dev DB (instead of the production).

I'm going to assign the ticket to Massimiliano. Please, @massimiliano.assante@isti.cnr.it checks why it is happening  

#2 - Dec 18, 2017 06:40 PM - Pasquale Pagano

- Priority changed from Normal to Urgent

#3 - Dec 19, 2017 04:06 PM - Massimiliano Assante

- Status changed from In Progress to Closed

- % Done changed from 0 to 100
